package abstractPracticeTheory;

import java.awt.Color;

import repast.simphony.space.grid.Grid;

public class ColoredMaterial extends Material {
	
	private Grid<Object> grid;
	protected Color color;
	
	public ColoredMaterial(int l){
		super(l);
		color = Color.blue; //default: blue
		super.setUpRandom();
	}
	
	public ColoredMaterial(int l, Color c){
		this(l);
		color = c;
	}

	public void setGrid(Grid<Object> g){
		grid = g;
	}
	
	public ColoredMaterial cloneThis(){
		
		ColoredMaterial m = new ColoredMaterial(this.length());
		for(int i=0; i<this.length();i++){
			m.set(i, this.get(i));
		}
		m.color = this.color;
		
		return m;
	}
	
	public boolean isEqual(ColoredMaterial m){
		if(super.isEqual(m) && m.color == this.color){
			return true;
		}
		return false;
	}
	
}
